net.dontdrinkandroot.lastfm.api.model

## Enum Period

- java.lang.Object
- - java.lang.Enum<Period>
  - - net.dontdrinkandroot.lastfm.api.model.Period

All Implemented Interfaces:
  Serializable, Comparable<Period>

    public enum Period
    extends Enum<Period>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ONE_MONTH`
`OVERALL`
`SEVEN_DAY`
`SIX_MONTH`
`THREE_MONTH`
`TWELVE_MONTH`

### Method Summary

Methods
`static Period` `fromString(String s)`
`String` `getString()`
`static Period` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Period[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SEVEN_DAY

    public static final Period SEVEN_DAY

#### ONE_MONTH

    public static final Period ONE_MONTH

#### THREE_MONTH

    public static final Period THREE_MONTH

#### SIX_MONTH

    public static final Period SIX_MONTH

#### TWELVE_MONTH

    public static final Period TWELVE_MONTH

#### OVERALL

    public static final Period OVERALL

### Method Detail

#### values

    public static Period[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Period c : Period.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Period valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getString

    public String getString()

#### fromString

    public static Period fromString(String s)